VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::DatastoreTypes::Info Class Reference

The `Datastore.Info` class contains information about a datastore. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetName ()
| Name of the datastore.
void | SetName (string name)
| Name of the datastore.
vmware.vcenter.DatastoreTypes.Type | Get_Type ()
| Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datastore.
void | SetType (vmware.vcenter.DatastoreTypes.Type type)
| Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datastore.
bool | GetAccessible ()
| Whether or not this datastore is accessible.
void | SetAccessible (bool accessible)
| Whether or not this datastore is accessible.
long | GetFreeSpace ()
| Available space of this datastore, in bytes.
void | SetFreeSpace (long?freeSpace)
| Available space of this datastore, in bytes.
bool | GetMultipleHostAccess ()
| Whether or not ore than one host in the datacenter has been configured with access to the datastore.
void | SetMultipleHostAccess (bool multipleHostAccess)
| Whether or not ore than one host in the datacenter has been configured with access to the datastore.
bool | GetThinProvisioningSupported ()
| Whether or not the datastore supports thin provisioning on a per file basis.
void | SetThinProvisioningSupported (bool thinProvisioningSupported)
| Whether or not the datastore supports thin provisioning on a per file basis.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Datastore.Info` class contains information about a datastore.

## Constructor & Destructor Documentation

vmware::vcenter::DatastoreTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::DatastoreTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::DatastoreTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::DatastoreTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::DatastoreTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::DatastoreTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::DatastoreTypes::Info::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.DatastoreTypes.Type vmware::vcenter::DatastoreTypes::Info::Get_Type | ( |  | ) | `[inline]`

Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datastore.

bool vmware::vcenter::DatastoreTypes::Info::GetAccessible | ( |  | ) | `[inline]`

Whether or not this datastore is accessible.

long vmware::vcenter::DatastoreTypes::Info::GetFreeSpace | ( |  | ) | `[inline]`

Available space of this datastore, in bytes.

The server periodically updates this value.

override int vmware::vcenter::DatastoreTypes::Info::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::DatastoreTypes::Info::GetMultipleHostAccess | ( |  | ) | `[inline]`

Whether or not ore than one host in the datacenter has been configured with access to the datastore.

string vmware::vcenter::DatastoreTypes::Info::GetName | ( |  | ) | `[inline]`

Name of the datastore.

bool vmware::vcenter::DatastoreTypes::Info::GetThinProvisioningSupported | ( |  | ) | `[inline]`

Whether or not the datastore supports thin provisioning on a per file basis.

When thin provisioning is used, backing storage is lazily allocated.

void vmware::vcenter::DatastoreTypes::Info::SetAccessible | ( | bool | accessible | ) | `[inline]`

Whether or not this datastore is accessible.

void vmware::vcenter::DatastoreTypes::Info::SetFreeSpace | ( | long? | freeSpace | ) | `[inline]`

Available space of this datastore, in bytes.

The server periodically updates this value.

void vmware::vcenter::DatastoreTypes::Info::SetMultipleHostAccess | ( | bool | multipleHostAccess | ) | `[inline]`

Whether or not ore than one host in the datacenter has been configured with access to the datastore.

void vmware::vcenter::DatastoreTypes::Info::SetName | ( | string | name | ) | `[inline]`

Name of the datastore.

void vmware::vcenter::DatastoreTypes::Info::SetThinProvisioningSupported | ( | bool | thinProvisioningSupported | ) | `[inline]`

Whether or not the datastore supports thin provisioning on a per file basis.

When thin provisioning is used, backing storage is lazily allocated.

void vmware::vcenter::DatastoreTypes::Info::SetType | ( | vmware.vcenter.DatastoreTypes.Type | type | ) | `[inline]`

Type ( VMFS, NFS, NFS41, CIFS, VSAN, VFFS, VVOL) of the datastore.

override string vmware::vcenter::DatastoreTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DatastoreTypes.cs